nu=1E-4;
N=0;
iz1=1;
iz2=24
nz=96;

Re = param_vortex_p(:,:,3) / (pi*nu);
Fr = param_vortex_p(:,:,3) ./ (pi*param_vortex_p(:,:,4).^2*N);
Re_Fr2 = Re.*Fr.^2;

figure(1)
subplot(2,1,1)
plot(instants, energy_h(:,iz1), instants, energy_v(:,iz1), instants, energy_t(:,iz1))
hold on
xlabel('t');
legend('energy_h', 'energy_v', 'energy_t');
title(['Energy   \nu=',num2str(nu),'  N=', num2str(N), '  iz=', num2str(iz1),'/',num2str(nz)]);
box on

subplot(2,1,2)
plot(instants, energy_h(:,iz2), instants, energy_v(:,iz2), instants, energy_t(:,iz2))
hold on
xlabel('t');
legend('energy_h', 'energy_v', 'energy_t');
title(['Energy    \nu=',num2str(nu),'  N=', num2str(N), '  iz=', num2str(iz2),'/',num2str(nz)]);
box on


figure(2)
subplot(2,1,1)
plot(instants, enstrophy_h(:,iz1), instants, enstrophy_v(:,iz1), instants, enstrophy_t(:,iz1))
hold on
xlabel('t');
legend('enstrophy_h', 'enstrophy_v', 'enstrophy_t');
title(['Enstrophy   \nu=',num2str(nu),'  N=', num2str(N), '  iz=', num2str(iz1),'/',num2str(nz)]);
box on

subplot(2,1,2)
plot(instants, enstrophy_h(:,iz2), instants, enstrophy_v(:,iz2), instants, enstrophy_t(:,iz2))
hold on
xlabel('t');
legend('enstrophy_h', 'enstrophy_v', 'enstrophy_t');
title(['Enstrophy   \nu=',num2str(nu),'  N=', num2str(N), '  iz=', num2str(iz2),'/',num2str(nz)]);
box on
