nu=7.5E-5;
N=0;
iz=1;
nz=1;

Re = param_vortex_p(:,:,3) / (pi*nu);
Fr = param_vortex_p(:,:,3) ./ (pi*param_vortex_p(:,:,4).^2*N);
Re_Fr2 = Re.*Fr.^2;


subplot(2,3,1)
plot(instants, param_vortex_p(:,iz,3))
hold on
xlabel('t');
ylabel('\Gamma');
title(['Param vortex   \nu=',num2str(nu),'  N=', num2str(N), '  iz=', num2str(iz),'/',num2str(nz)]);
box on

subplot(2,3,2)
hold on
plot(instants, param_vortex_p(:,1,4))
xlabel('t');
ylabel('a');
box on


subplot(2,3,4)
hold on
plot(instants, Re(:,iz))
xlabel('t');
ylabel('Re=\Gamma/\pi \nu');
box on

subplot(2,3,5)
hold on
plot(instants, Fr(:,iz))
xlabel('t');
ylabel('Fr=\Gamma / \pi a^2 N');
box on

subplot(2,3,6)
hold on
plot(instants, Re_Fr2(:,iz))
xlabel('t');
ylabel('Re Fr^2');
box on
